/***********************************************************************************************************************
 *
 * blueMarine Metadata - open source media workflow
 * Copyright (C) 2007-2011 by Tidalwave s.a.s. (http://www.tidalwave.it)
 *
 ***********************************************************************************************************************
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on
 * an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations under the License.
 *
 ***********************************************************************************************************************
 *
 * WWW: http://bluemarine.tidalwave.it
 * SCM: https://kenai.com/hg/bluemarine~metadata-src
 *
 **********************************************************************************************************************/
/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package it.tidalwave.metadata.persistence.query;

import org.junit.Test;
import static org.junit.Assert.*;
import static it.tidalwave.metadata.persistence.query.Criterion.*;

/**
 *
 * @author fritz
 */
public class QueryTest 
  {
    @Test
    public void testToString() 
      {
        Criterion q = (Criterion.equals("EXIF", "Aperture", "11").or(Criterion.equals("IPTC", "Subject", "stuff")).and(Criterion.equals("TIFF", "width", "200")));
        assertEquals("((EXIF.Aperture=11 OR IPTC.Subject=stuff) AND TIFF.width=200)", q.toString());
      }
}