/***********************************************************************************************************************
 *
 * blueMarine Metadata - open source media workflow
 * Copyright (C) 2007-2011 by Tidalwave s.a.s. (http://www.tidalwave.it)
 *
 ***********************************************************************************************************************
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on
 * an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations under the License.
 *
 ***********************************************************************************************************************
 *
 * WWW: http://bluemarine.tidalwave.it
 * SCM: https://kenai.com/hg/bluemarine~metadata-src
 *
 **********************************************************************************************************************/
package it.tidalwave.metadata.persistence.mock;

import java.util.List;
import it.tidalwave.metadata.persistence.spi.BeanAccessor;

/*******************************************************************************
 *
 * @author  Fabrizio Giudici
 * @version $Id$
 *
 ******************************************************************************/
public class BeanAccessorMock<T>  implements BeanAccessor<T>
  {
    private final String propertySetName;

    public BeanAccessorMock (final String propertySetName) 
      {
        this.propertySetName = propertySetName;
      }
    
    public String getPropertySetName()
      {
        return propertySetName;
      }
    
    public boolean isPersistent (final String propertyName) 
      {
        return true;
      }
    
    public Class<?> getDefaultPropertyType(String propertyName) 
      {
        throw new UnsupportedOperationException("Not supported yet.");
      }

    public Object getProperty(String propertyName, Object bean) 
      {
        throw new UnsupportedOperationException("Not supported yet.");
      }

    public void setProperty(Object bean, String propertyName, Object value) 
      {
        throw new UnsupportedOperationException("Not supported yet.");
      }

    public Object convertValueToPersistence(String propertyName, Object value) 
      {
        throw new UnsupportedOperationException("Not supported yet.");
      }

    public Object convertValueFromPersistence(String propertyName, Object value) 
      {
        throw new UnsupportedOperationException("Not supported yet.");
      }

    public List<String> getPersistentPropertyNames(Object bean)
      {
        throw new UnsupportedOperationException("Not supported yet.");
      }

    public String convertPropertyNameToPersistence (String propertyName) 
      {
        throw new UnsupportedOperationException("Not supported yet.");
      }

    public String convertPropertyNameFromPersistence (String propertyName) 
      {
        throw new UnsupportedOperationException("Not supported yet.");
      }
  }
